Subject: Re: bug#5404: 23.1.91; Nextstep port: M-x gdb hangs in tab completion of symbols

From: Steve Revilak <[email-masked]>
Date: Mon, 18 Jan 2010 19:26:05 -0500

>> (gdb) complete b add_
>> b add_fdes
>> b add_one
>> b add_profil
>> (gdb)

>You could do M-x gdb-enable-debug, then 
>
>(gdb) b b add_<TAB>
>
>in the Gud buffer.
>
>Then inspect gdb-debug-log (C-h v) to see if "complete b add_" gets sent to Gdb.

Neat trick. :)

>I suspect it does and this relates to Apple Gdb and the previous problem with ^M
>characters.

Here's what I tried.

   1. emacs -Q -nw foo.c
   2. M-x gdb RET foo RET
   3. M-x gdb-enable-debug
   4. "b add_<TAB>"  [hangs]
   5. C-g twice (stops hanging)
   6. C-h v gdb-debug-log RET

I'll attach the contents of the *Help* buffer as gdb-debug-log.txt.

The last cons in gdb-debug-log.txt is (send-item ... "complete b
add_\n").  The second and third cons's above (send-item) seem to
contain the completion output.

>You could also download and compile FSF Gdb on Mac (I can't remember if you
>already have) and try that.

I haven't had a chance to build an fsf gdb yet, but I'm downloading
gdb-7.0.1 now.  I'll try gdb 7.0.1 and let you know how it goes.

Steve